Skip to main content
PATCH
/
webhooks
/
{webhook_id}
Update webhook
curl --request PATCH \
  --url https://api.fluxer.app/v1/webhooks/{webhook_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "avatar": "aSDinaTvuI8gbWludGxpZnk=",
  "channel_id": "<string>"
}
'
{
  "id": "<string>",
  "guild_id": "<string>",
  "channel_id": "<string>",
  "name": "<string>",
  "token": "<string>",
  "user": {
    "id": "<string>",
    "username": "<string>",
    "discriminator": "<string>",
    "global_name": "<string>",
    "avatar": "<string>",
    "avatar_color": 1073741823,
    "flags": 1073741823,
    "bot": true,
    "system": true
  },
  "avatar": "<string>"
}

Authorizations

Authorization
string
header
required

Bot token: Authorization: Bot <token>. This is the primary authentication method for bot applications.

Path Parameters

webhook_id
string<snowflake>
required

The ID of the webhook

Pattern: ^(0|[1-9][0-9]*)$

Body

application/json
name
string

The new name of the webhook

avatar
string<byte> | null

The new avatar image as a base64-encoded data URI

channel_id
string<snowflake>
Pattern: ^(0|[1-9][0-9]*)$

Response

Success

id
string
required

The unique identifier (snowflake) for the webhook

Pattern: ^(0|[1-9][0-9]*)$
guild_id
string
required

The ID of the guild this webhook belongs to

Pattern: ^(0|[1-9][0-9]*)$
channel_id
string
required

The ID of the channel this webhook posts to

Pattern: ^(0|[1-9][0-9]*)$
name
string
required

The display name of the webhook

token
string
required

The secure token used to execute the webhook

user
object
required
avatar
string | null

The hash of the webhook avatar image